Name: H5Fget_create_plist
Signature:
  hid_t `H5Fget_create_plist`(hid_t `file_id` )
Purpose:
  Returns a file creation property list identifier.
Description:
  `H5Fget_create_plist` returns a file creation property list identifier identifying the creation properties used to create this file. This function is useful for duplicating properties when creating another file.

  See "File Creation Properties" in H5P: Property List Interface in this reference manual and "File Creation Properties" in Files in the HDF5 User's Guide for additional information and related functions.

Parameters:

hid_t `file_id` IN: Identifier of the file to get creation property list of
Returns:
  Returns a file creation property list identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_create_plist_f

      SUBROUTINE h5fget_create_plist_f(file_id, fcpl_id, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: file_id ! File identifier
        INTEGER(HID_T), INTENT(OUT)  :: fcpl_id ! File creation property list
                                                ! identifier
        INTEGER, INTENT(OUT)         :: hdferr  ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_create_plist_f